%define name	zuluCrypt
%define	srcname	zulucrypt
%define major 1
%define pluginmajor 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

Name: 		%{name}
Version: 	4.9.0
Release: 	%mkrel 2
Summary: 	Qt GUI front end to cryptsetup
Summary(de):	Qt GUi für cryptsetup
License:	GPLv2+
Group:		File tools
URL:		http://mhogomchungu.github.io/zuluCrypt/
Source:		%{name}-%{version}.tar.xz
BuildRoot:	%{_topdir}/%{name}-%{version}

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}secret-devel
BuildRequires:	%{_lib}blkid-devel
BuildRequires:	%{_lib}tcplay-devel
BuildRequires:	%{_lib}cryptsetup-devel
BuildRequires:	kde-runtime-devel
BuildRequires:	libpwquality-devel
Requires:	tc-play
Obsoletes:	lib%{name}2_0_0
Obsoletes:	lib%{name}3_0_0
#---------------------------------
Conflicts: zuluCrypt-nokde
#---------------------------------

%description
%{name} is a front end to cryptsetup.
It makes it easier to use cryptsetup by providing a Qt based GUI and a simpler 
to use cli front end to cryptsetup. It does the same thing truecrypt does but 
without licensing problems or requiring a user to setup sudo for it or presenting 
root's password. This package contains the applications.

%description -l de
%name ist ein Frontend für cryptsetup.
Es macht es einfacher cryptsetup zu nutzen, durch eine Qt basierte Benutzeroberfläche 
und ein einfacher zu nutzende Kommandozeilenschnittstelle. Außerdem kann es die 
selben Dinge wie truecrypt, ohne Lizenzprobleme oder das setup von sudo für die Benutzung 
oder die Eingabe des Administatorpassworts. Dieses Paket enthält das Programm an sich.

%package -n %{libname}
Summary:        Library for %{name}
Summary(de):	Bibliothek für %{name}
Group:          System/Libraries
Provides:	lib%{name} = %version
Obsoletes:	lib%{name}2_0_0
Obsoletes:	lib%{name}3_0_0

%description -n %{libname}
This package contains libraries that provide higher level access to cryptsetup API 
and provide mounting/unmounting API to easy opening and closing of volumes

%description -n %{libname} -l de
Dieses Paket enthält Bibliotheken die einen höherleveligen Zugriff auf die cryptsetup API
bietet und eine mount/unmount API zum einfachen Öffnen und Schließen der Container-Dateien.


%package -n %{libnamedev}
Summary:        Development library package
Summary(de):	Entwicklungsbibliotheken für %name
Group:          Development/Libraries
Requires:       %{_lib}%{name}%{major} = %{version}
Provides:	%{name}-devel
Provides:	%{srcname}-devel

%description -n %{libnamedev}
This package contains development files and libraries necessary to build programs 
around zulucrypt.

%description -n %{libnamedev} -l de
Dieses Paket enthält Entwicklerdateien und Bibliotheken, die nötig sind um 
Programme um zulucrypt zu bauen.



%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
# dont replace cmake by macro it breaks the build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release -DUDEVSUPPORT=true ..
%make
popd


%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Comment=Gui wrapper for cryptsetup
Comment[de]=Gui für cryptsetup
Exec=%{name}-gui
GenericName=Manage encypted volumes
GenericName[de]=Verwalte verschlüsselte Laufwerke
Icon=%{name}
Name[en_US]=%{name}
Name=%{name}
NoDisplay=false
StartupNotify=true
Terminal=false
Type=Application
X-KDE-SubstituteUID=false
Categories=GTK;Settings;X-MandrivaLinux-System-Configuration-Other;
EOF

rm -f %{buildroot}%{_datadir}/applications/zuluMount.desktop
cat > %{buildroot}%{_datadir}/applications/zuluMount.desktop <<EOF
[Desktop Entry]
Comment[de]=Partitionen einbinden
Comment[en_US]=
Comment=
Exec=zuluMount-gui
GenericName[de]=Partitionen einbinden
GenericName[en_US]=Partition mounter
GenericName=Partition mounter
Icon=zuluMount
MimeType=
Name[en_US]=zuluMount
Name=zuluMount
NoDisplay=false
Path=
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
X-DBUS-ServiceName=
X-DBUS-StartupType=
X-KDE-SubstituteUID=false
X-KDE-Username=
Categories=Security;Utility;Qt;X-MandrivaLinux-System-FileTools;
EOF

# remove unwanted .la, .a files
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files 
%defattr(-,root,root)
%{_bindir}/%{name}-gui
%{_bindir}/zuluMount-gui
%attr(4755,root,root)%{_bindir}/%{name}-cli
%attr(4755,root,root)%{_bindir}/zuluMount-cli
%attr(0755,root,root)%{_bindir}/zuluSafe-cli
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/zuluMount.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/zulu*.png
%{_mandir}/man1/*
%{_datadir}/%{name}/%{name}.pdf
%{_datadir}/%{name}/translations/%{name}-gui/*.qm

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/lib%{name}-exe.so.%{major}*
%{_libdir}/lib%{name}PluginManager.so.%{pluginmajor}*
%{_libdir}/%{name}/gpg
%{_libdir}/%{name}/hmac
%{_libdir}/%{name}/keykeyfile
%{_libdir}/%{name}/luks
%{_libdir}/%{name}/steghide
%{_libdir}/%{name}/tomb
%{_libdir}/%{name}/generic_header
%attr(755, root, root)%{_libdir}/zuluCrypt/keyring
%attr(755, root, root)%{_libdir}/zuluCrypt/keydialog-qt
%attr(755, root, root)%{_libdir}/zuluCrypt/zuluCrypt-testKey

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/%{name}/lib%{name}.h
%{_includedir}/%{name}/lib%{name}-exe.h
%{_includedir}/%{name}/lib%{name}PluginManager.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-exe.so
%{_libdir}/lib%{name}PluginManager.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Sun Oct 09 2016 adrianomorselli <adrianomorselli> 4.9.0-2uplos2016
- rebuild

* Tue Mar 15 2016 bb <bb> 4.9.0-2pclos2016
- add conflicts to nokde version

* Tue Mar 01 2016 woodhead <pp> 4.9.0-1pclos2016
- update

* Mon Dec 02 2015 pp <pp> 4.8.0-1pclos2015
- update

